This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 129058 - loader segfault with "ks essid=... wepkey=..."
loader segfault with "ks essid=... wepkey=..."
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 133260 FC5Target
  Show dependency treegraph
 
Reported: 2004-08-03 12:41 EDT by Tim Waugh
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 16:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-08-03 12:41:41 EDT
Description of problem:
When trying to initiate a kickstart installation over WEP-encrypted
wifi, /sbin/loader segfaults.

Version-Release number of selected component (if applicable):
anaconda-10.0.2-0.20040730165120.i386

How reproducible:
100%

Steps to Reproduce:
1. Boot with "ks essid=[my_essid] wepkey=[my_wepkey]"
  
Actual results:
/sbin/loader segfaults
Comment 1 Jeremy Katz 2004-08-03 12:54:33 EDT
It works if you specify them manually, right?
Comment 2 Tim Waugh 2004-08-03 12:57:16 EDT
It works fine to specify them when asked for them -- just not on the
kernel command line.
Comment 3 Jeremy Katz 2004-08-03 12:58:56 EDT
What's the last bit on tty3 when it segfaults?
Comment 4 Tim Waugh 2004-08-03 13:20:32 EDT
* sending dhcp request through device eth0
Comment 5 Jeremy Katz 2004-08-03 13:40:20 EDT
Committed something to CVS that might fix it (not exactly sure where
you're hitting it and I don't have a spare laptop at home to test
with).  Will be in tomorrow's tree.
Comment 6 Tim Waugh 2004-08-05 06:51:35 EDT
Today's rawhide tree (including
anaconda-10.0.2-0.20040803165421.i386.rpm) still shows the problem. 
No difference.
Comment 7 Tim Waugh 2004-08-17 08:07:08 EDT
This still happens.  anaconda-10.0.2-0.20040813144102.i386.rpm
Comment 8 Tim Waugh 2004-10-13 11:21:53 EDT
This still happens.  anaconda-10.0.3.16-1.i386.rpm
Comment 9 Jeremy Katz 2005-04-12 17:21:19 EDT
Committed something to fix this to CVS 
Comment 10 Tim Waugh 2005-05-24 06:16:10 EDT
No, still happens with anaconda-10.2.0.64-1.i386.rpm.
Comment 11 Jeremy Katz 2005-05-25 11:13:21 EDT
Worked in my test case, will look at more 
Comment 12 Chris Lumens 2006-03-02 10:30:20 EST
Is this still happening with test3?  We have some better debugging stuff in the
loader now that should at least allow us to narrow down where the segfault is
happening.

Note You need to log in before you can comment on or make changes to this bug.